﻿@model Forum.WEB.ViewModel.DiscussionViewModel
@{
    ViewBag.Title = "Обсуждение";
}

<h2>@Model.DiscussionMessage</h2>
<table class="table">
    @foreach (var coment in Model.Comments)
    {
        <tr>                
            <td class="table-bordered">    
                <dl class="list-group-horizontal">
                    <dd class="btn-group-vertical col-md-3">@coment.User.FirstName <br> @coment.User.Rating</dd>
                    <dd class="btn-group-vertical col-md-3">@coment.ComentMessage <br> @coment.DateComent</dd>
                    
                    @if (coment.UserFullName != User.Identity.Name)
                    {
                        <dd class="btn-group-vertical col-md-3">
                            <form asp-action="AddLike" asp-controller="Comment" method="post">
                                <input type="hidden" name="discussionId" value="@Model.Id" />
                                <input type="hidden" name="commentId" value="@coment.Id" />
                                <input type="submit" value="Like" class="btn button" />
                            </form>

                            <form asp-action="AddDislike" asp-controller="Comment" method="post">
                                <input type="hidden" name="discussionId" value="@Model.Id" />
                                <input type="hidden" name="commentId" value="@coment.Id" />
                                <input type="submit" value="Dislike" class="btn button" />
                            </form>
                        </dd>
                    }
                    @if (User.IsInRole("Admin") || User.IsInRole("Root"))
                    {
                        <dd class="btn-group-vertical col-md-3">
                            <form asp-action="DeleteComment" asp-controller="Comment" method="post">
                                <input type="hidden" name="discussionId" value="@Model.Id" />
                                <input type="hidden" name="commentId" value="@coment.Id" />
                                <input type="submit" value="Удалить" class="btn btn-sm btn-danger" />
                             </form>
                        </dd>
                    }
                </dl>
            </td>
        </tr>
    }
</table>

@if(User.Identity.IsAuthenticated)
{
    <form asp-action="CreatComment" asp-controller="Comment" method="post">
        <input type="hidden" name="discussionId" value="@Model.Id" />
        <input type="hidden" name="userName" value="@User.Identity.Name" />
        <div class="form-group">
            <input type="text" name="comentMessage" />
        </div>
        <div class="form-group">
            <input type="submit" value="Добавить коментарий" class="btn button" />
        </div>
    </form>
}

@if(!User.Identity.IsAuthenticated)
{
    <p>Авторизируйтесь что-бы оставить коментарий</p>
}